
Tripnet - Feature #47639
Mail Configuration
09/25/2018 02:06 pm - Sreerag Prasannan

Status: Closed Start date: 09/25/2018
Priority: Normal Due date: 09/28/2018
Assignee: Alphy Jose % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 19.80 hours
End_Date: 09/28/2018 Areas Affected: B2B admin|User Form,Agency Form
remarks: Add notification mail field in user form and general notification section in agency  formFiles Changed: B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx	
B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs	
B2Bweb/Areas/AdminWeb/Controllers/UserJsonController.cs
B2Bweb/Areas/AdminWeb/Models/UserModel.cs
B2Bweb/Areas/AdminWeb/Views/Reports/ManageHotelBookings.cshtml	
B2Bweb/Areas/AdminWeb/Views/User/Agencies.cshtml
 B2Bweb/Areas/AdminWeb/Views/User/UserDetails.cshtml
 B2Bweb/Areas/Search/Controllers/HotelController.cs
B2Bweb/Code/Hotel/Utility.Hotel.cs
B2Bweb/Code/Utility.Admin.cs
B2Bweb/Content/css/ar_mystyleCalibri.css
B2Bweb/Content/js/agencies.js
B2Bweb/Content/js/ManageHotelBookings.js
B2Bweb/Content/js/userdetails.js
B2C/Code/Utility.Admin.cs
CommonProjects/CommonDTOs/DTOs/AgencyDTO.cs
CommonProjects/CommonDTOs/DTOs/Hotel/HotelBookingCancellationDTO.cs
CommonProjects/CommonDTOs/DTOs/UserDTO.cs
CommonProjects/DataProvider/DataAccess/AgencyDA.cs
CommonProjects/DataProvider/DataAccess/UserDA.cs

DB Changes: stored procedure
UpdateUserDetailsNew
SelectUserById
GetAllUsersByAgency
UpdateAgencyDetails
table:
AgencyDetails
UserDetailsInitial Planned Hours: 0
Keys & Permissions: No keys and permissions
Description

Ensure in User Form : We have an "Notification Email" ID configured To or BCC here as well.

Also in Admin management >> edit >> "General Settings" option >> Which will 4 + options , Add option TO or BCC here.

History
#1 - 09/25/2018 02:07 pm - Sreerag Prasannan
- Description updated

#2 - 09/25/2018 02:10 pm - Vipin das
- Due date set to 09/28/2018
- Status changed from New to Assigned
- Assignee set to Alphy Jose

#3 - 09/26/2018 12:28 pm - Alphy Jose
- Status changed from Assigned to In Progress

#4 - 09/26/2018 04:33 pm - Alphy Jose
- % Done changed from 0 to 20

User form complete,agency form need to check

#5 - 09/27/2018 04:23 pm - Alphy Jose
- % Done changed from 20 to 50

Admin Management >Agency Managment> option to general notification mail added succesfully and send mail to the corresponding mail .Need to
complete edit section and check overall feature

#6 - 09/28/2018 04:54 pm - Alphy Jose
- Status changed from In Progress to Fixed not Tested
- % Done changed from 50 to 100
- End_Date set to 09/28/2018
- remarks set to Add notification mail field in user form and general notification section in agency  form
- DB Changes set to stored procedure
UpdateUserDetailsNew
SelectUserById
UpdateAgencyDetails
table:
AgencyDetails
UserDetails
- Keys & Permissions set to No keys and permissions
- Areas Affected set to B2B admin|User Form,Agency Form
- Files Changed set to B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx	
B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs	
B2Bweb/Areas/AdminWeb/Controllers/UserJsonController.cs
B2Bweb/Areas/AdminWeb/Models/UserModel.cs
B2Bweb/Areas/AdminWeb/Views/Reports/ManageHotelBookings.cshtml	
B2Bweb/Areas/AdminWeb/Views/User/Agencies.cshtml
 B2Bweb/Areas/AdminWeb/Views/User/UserDetails.cshtml
 B2Bweb/Areas/Search/Controllers/HotelController.cs
B2Bweb/Code/Hotel/Utility.Hotel.cs
B2Bweb/Code/Utility.Admin.cs
B2Bweb/Content/css/ar_mystyleCalibri.css
B2Bweb/Content/js/agencies.js
B2Bweb/Content/js/ManageHotelBookings.js
B2Bweb/Content/js/userdetails.js
B2C/Code/Utility.Admin.cs
CommonProjects/CommonDTOs/DTOs/AgencyDTO.cs
CommonProjects/CommonDTOs/DTOs/Hotel/HotelBookingCancellationDTO.cs
CommonProjects/CommonDTOs/DTOs/UserDTO.cs
CommonProjects/DataProvider/DataAccess/AgencyDA.cs

Add notification mail field in user form and general notification section in agency  form
add resource key
Notification_Email:Notification Email
GeneralNotification:General Notification

#7 - 10/01/2018 02:41 pm - Alphy Jose
- DB Changes changed from stored procedure
UpdateUserDetailsNew
SelectUserById
UpdateAgencyDetails
table:
AgencyDetails
UserDetails to stored procedure
UpdateUserDetailsNew
SelectUserById
GetAllUsersByAgency
UpdateAgencyDetails
table:
AgencyDetails
UserDetails
- Files Changed changed from B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx	
B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs	
B2Bweb/Areas/AdminWeb/Controllers/UserJsonController.cs
B2Bweb/Areas/AdminWeb/Models/UserModel.cs
B2Bweb/Areas/AdminWeb/Views/Reports/ManageHotelBookings.cshtml	
B2Bweb/Areas/AdminWeb/Views/User/Agencies.cshtml
 B2Bweb/Areas/AdminWeb/Views/User/UserDetails.cshtml
 B2Bweb/Areas/Search/Controllers/HotelController.cs
B2Bweb/Code/Hotel/Utility.Hotel.cs
B2Bweb/Code/Utility.Admin.cs
B2Bweb/Content/css/ar_mystyleCalibri.css
B2Bweb/Content/js/agencies.js
B2Bweb/Content/js/ManageHotelBookings.js
B2Bweb/Content/js/userdetails.js
B2C/Code/Utility.Admin.cs
CommonProjects/CommonDTOs/DTOs/AgencyDTO.cs
CommonProjects/CommonDTOs/DTOs/Hotel/HotelBookingCancellationDTO.cs
CommonProjects/CommonDTOs/DTOs/UserDTO.cs
CommonProjects/DataProvider/DataAccess/AgencyDA.cs
 to B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx	
B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs	
B2Bweb/Areas/AdminWeb/Controllers/UserJsonController.cs
B2Bweb/Areas/AdminWeb/Models/UserModel.cs
B2Bweb/Areas/AdminWeb/Views/Reports/ManageHotelBookings.cshtml	
B2Bweb/Areas/AdminWeb/Views/User/Agencies.cshtml
 B2Bweb/Areas/AdminWeb/Views/User/UserDetails.cshtml
 B2Bweb/Areas/Search/Controllers/HotelController.cs
B2Bweb/Code/Hotel/Utility.Hotel.cs
B2Bweb/Code/Utility.Admin.cs
B2Bweb/Content/css/ar_mystyleCalibri.css
B2Bweb/Content/js/agencies.js
B2Bweb/Content/js/ManageHotelBookings.js
B2Bweb/Content/js/userdetails.js
B2C/Code/Utility.Admin.cs
CommonProjects/CommonDTOs/DTOs/AgencyDTO.cs
CommonProjects/CommonDTOs/DTOs/Hotel/HotelBookingCancellationDTO.cs
CommonProjects/CommonDTOs/DTOs/UserDTO.cs
CommonProjects/DataProvider/DataAccess/AgencyDA.cs
CommonProjects/DataProvider/DataAccess/UserDA.cs

#8 - 04/09/2019 04:25 pm - Albin Paul
- File Fix.png added
- Status changed from Fixed not Tested to Closed
- Initial Planned Hours set to 0

Fixed.
Files
Fix.png 198 KB 04/09/2019 Albin Paul
